Package in.cdac.medinfo.csnotk.csnolib.icdmap

## Class Record

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.icdmap.Record

-     public class Record
      extends java.lang.Object

  Defines the data/structure to be provided as input diagnosis record. It has data members and corresponding getters and setters.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Record()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getBirthDate()` | Gets the birth date of the patient.
    `java.util.Date` | `getDiagnosisDate()` | Gets the diagnosis date.
    `long` | `getEpisodeNo()` | Gets the diagnosis episode number.
    `java.lang.String` | `getGender()` | .
    `long` | `getPrimarySCTID()` | Gets the primary diagnosis id.
    `java.lang.String` | `getSecondarySCTID()` | Gets the secondary diagnosis id(s).
    `void` | `setBirthDate​(java.util.Date birthDate)` | Sets the birth date of the patient.
    `void` | `setDiagnosisDate​(java.util.Date diagnosisDate)` | Sets the diagnosis date.
    `void` | `setEpisodeNo​(long episodeNo)` | Sets the diagnosis episode number.
    `void` | `setGender​(java.lang.String gender)` | Sets the gender of the patient.
    `void` | `setPrimarySCTID​(long primarySCTID)` | Sets the primary diagnosis id.
    `void` | `setSecondarySCTID​(java.lang.String secondarySCTID)` | Sets the secondary diagnosis id(s).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Record

          public Record()

  - ### Method Detail

    - #### getPrimarySCTID

          public long getPrimarySCTID()

      Gets the primary diagnosis id.
      Returns:
        SNOMED CT ID (conceptId).

    - #### setPrimarySCTID

          public void setPrimarySCTID​(long primarySCTID)

      Sets the primary diagnosis id. SNOMED CT ID (conceptId).
      Parameters:
        `primarySCTID` -

    - #### getSecondarySCTID

          public java.lang.String getSecondarySCTID()

      Gets the secondary diagnosis id(s).
      Returns:
        SNOMED CT ID (conceptId).

    - #### setSecondarySCTID

          public void setSecondarySCTID​(java.lang.String secondarySCTID)

      Sets the secondary diagnosis id(s).
      Parameters:
        `secondarySCTID` - SNOMED CT ID (conceptId).

    - #### getGender

          public java.lang.String getGender()

      . Gets the gender of the patient
      Returns:
        gender.

    - #### setGender

          public void setGender​(java.lang.String gender)

      Sets the gender of the patient.
      Parameters:
        `gender` - gender.

    - #### getBirthDate

          public java.util.Date getBirthDate()

      Gets the birth date of the patient.
      Returns:
        birth date (MM-DD-YYYY).

    - #### setBirthDate

          public void setBirthDate​(java.util.Date birthDate)

      Sets the birth date of the patient.
      Parameters:
        `birthDate` - birth date (MM-DD-YYYY).

    - #### getDiagnosisDate

          public java.util.Date getDiagnosisDate()

      Gets the diagnosis date.
      Returns:
        diagnosis date (MM-DD-YYYY).

    - #### setDiagnosisDate

          public void setDiagnosisDate​(java.util.Date diagnosisDate)

      Sets the diagnosis date.
      Parameters:
        `diagnosisDate` - diagnosis date (MM-DD-YYYY).

    - #### getEpisodeNo

          public long getEpisodeNo()

      Gets the diagnosis episode number.
      Returns:
        episode number.

    - #### setEpisodeNo

          public void setEpisodeNo​(long episodeNo)

      Sets the diagnosis episode number.
      Parameters:
        `episodeNo` - episode number.